<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.6) on Thu Feb 20 09:43:17 CET 2020 -->
<title>MockDipData (DIP :: Java Native Interface Library 5.7.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-02-20">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MockDipData (DIP :: Java Native Interface Library 5.7.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MockDipData.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">cern.dip.mock</a></div>
<h2 title="Class MockDipData" class="title">Class MockDipData</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../implementation/DipDataImp.html" title="class in cern.dip.implementation">cern.dip.implementation.DipDataImp</a></li>
<li>
<ul class="inheritance">
<li>cern.dip.mock.MockDipData</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../DipData.html" title="interface in cern.dip">DipData</a></code>, <code>java.io.Serializable</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">MockDipData</span>
extends <a href="../implementation/DipDataImp.html" title="class in cern.dip.implementation">DipDataImp</a>
implements java.io.Serializable</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../serialized-form.html#cern.dip.mock.MockDipData">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.cern.dip.implementation.DipDataImp">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;cern.dip.implementation.<a href="../implementation/DipDataImp.html" title="class in cern.dip.implementation">DipDataImp</a></h3>
<code><a href="../implementation/DipDataImp.html#FIELD_NAME_WHEN_PRMITIVE">FIELD_NAME_WHEN_PRMITIVE</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.cern.dip.DipData">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;cern.dip.<a href="../DipData.html" title="interface in cern.dip">DipData</a></h3>
<code><a href="../DipData.html#TYPE_BOOLEAN">TYPE_BOOLEAN</a>, <a href="../DipData.html#TYPE_BOOLEAN_ARRAY">TYPE_BOOLEAN_ARRAY</a>, <a href="../DipData.html#TYPE_BYTE">TYPE_BYTE</a>, <a href="../DipData.html#TYPE_BYTE_ARRAY">TYPE_BYTE_ARRAY</a>, <a href="../DipData.html#TYPE_DOUBLE">TYPE_DOUBLE</a>, <a href="../DipData.html#TYPE_DOUBLE_ARRAY">TYPE_DOUBLE_ARRAY</a>, <a href="../DipData.html#TYPE_FLOAT">TYPE_FLOAT</a>, <a href="../DipData.html#TYPE_FLOAT_ARRAY">TYPE_FLOAT_ARRAY</a>, <a href="../DipData.html#TYPE_INT">TYPE_INT</a>, <a href="../DipData.html#TYPE_INT_ARRAY">TYPE_INT_ARRAY</a>, <a href="../DipData.html#TYPE_LONG">TYPE_LONG</a>, <a href="../DipData.html#TYPE_LONG_ARRAY">TYPE_LONG_ARRAY</a>, <a href="../DipData.html#TYPE_NULL">TYPE_NULL</a>, <a href="../DipData.html#TYPE_SHORT">TYPE_SHORT</a>, <a href="../DipData.html#TYPE_SHORT_ARRAY">TYPE_SHORT_ARRAY</a>, <a href="../DipData.html#TYPE_STRING">TYPE_STRING</a>, <a href="../DipData.html#TYPE_STRING_ARRAY">TYPE_STRING_ARRAY</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">MockDipData</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDataQuality(int)">setDataQuality</a></span>&#8203;(int&nbsp;dataQuality)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDipTime(cern.dip.DipTimestamp)">setDipTime</a></span>&#8203;(<a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;ts)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setQualityString(java.lang.String)">setQualityString</a></span>&#8203;(java.lang.String&nbsp;qualityString)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.cern.dip.implementation.DipDataImp">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;cern.dip.implementation.<a href="../implementation/DipDataImp.html" title="class in cern.dip.implementation">DipDataImp</a></h3>
<code><a href="../implementation/DipDataImp.html#contains(java.lang.String)">contains</a>, <a href="../implementation/DipDataImp.html#extractBoolean()">extractBoolean</a>, <a href="../implementation/DipDataImp.html#extractBoolean(java.lang.String)">extractBoolean</a>, <a href="../implementation/DipDataImp.html#extractBooleanArray()">extractBooleanArray</a>, <a href="../implementation/DipDataImp.html#extractBooleanArray(java.lang.String)">extractBooleanArray</a>, <a href="../implementation/DipDataImp.html#extractByte()">extractByte</a>, <a href="../implementation/DipDataImp.html#extractByte(java.lang.String)">extractByte</a>, <a href="../implementation/DipDataImp.html#extractByteArray()">extractByteArray</a>, <a href="../implementation/DipDataImp.html#extractByteArray(java.lang.String)">extractByteArray</a>, <a href="../implementation/DipDataImp.html#extractDataQuality()">extractDataQuality</a>, <a href="../implementation/DipDataImp.html#extractDataQualityEnum()">extractDataQualityEnum</a>, <a href="../implementation/DipDataImp.html#extractDipTime()">extractDipTime</a>, <a href="../implementation/DipDataImp.html#extractDouble()">extractDouble</a>, <a href="../implementation/DipDataImp.html#extractDouble(java.lang.String)">extractDouble</a>, <a href="../implementation/DipDataImp.html#extractDoubleArray()">extractDoubleArray</a>, <a href="../implementation/DipDataImp.html#extractDoubleArray(java.lang.String)">extractDoubleArray</a>, <a href="../implementation/DipDataImp.html#extractFloat()">extractFloat</a>, <a href="../implementation/DipDataImp.html#extractFloat(java.lang.String)">extractFloat</a>, <a href="../implementation/DipDataImp.html#extractFloatArray()">extractFloatArray</a>, <a href="../implementation/DipDataImp.html#extractFloatArray(java.lang.String)">extractFloatArray</a>, <a href="../implementation/DipDataImp.html#extractInt()">extractInt</a>, <a href="../implementation/DipDataImp.html#extractInt(java.lang.String)">extractInt</a>, <a href="../implementation/DipDataImp.html#extractIntArray()">extractIntArray</a>, <a href="../implementation/DipDataImp.html#extractIntArray(java.lang.String)">extractIntArray</a>, <a href="../implementation/DipDataImp.html#extractLong()">extractLong</a>, <a href="../implementation/DipDataImp.html#extractLong(java.lang.String)">extractLong</a>, <a href="../implementation/DipDataImp.html#extractLongArray()">extractLongArray</a>, <a href="../implementation/DipDataImp.html#extractLongArray(java.lang.String)">extractLongArray</a>, <a href="../implementation/DipDataImp.html#extractQualityString()">extractQualityString</a>, <a href="../implementation/DipDataImp.html#extractShort()">extractShort</a>, <a href="../implementation/DipDataImp.html#extractShort(java.lang.String)">extractShort</a>, <a href="../implementation/DipDataImp.html#extractShortArray()">extractShortArray</a>, <a href="../implementation/DipDataImp.html#extractShortArray(java.lang.String)">extractShortArray</a>, <a href="../implementation/DipDataImp.html#extractString()">extractString</a>, <a href="../implementation/DipDataImp.html#extractString(java.lang.String)">extractString</a>, <a href="../implementation/DipDataImp.html#extractStringArray()">extractStringArray</a>, <a href="../implementation/DipDataImp.html#extractStringArray(java.lang.String)">extractStringArray</a>, <a href="../implementation/DipDataImp.html#getCByteSize()">getCByteSize</a>, <a href="../implementation/DipDataImp.html#getPrimitiveValueAsObject()">getPrimitiveValueAsObject</a>, <a href="../implementation/DipDataImp.html#getTags()">getTags</a>, <a href="../implementation/DipDataImp.html#getTypeSize(int)">getTypeSize</a>, <a href="../implementation/DipDataImp.html#getValueAsMap()">getValueAsMap</a>, <a href="../implementation/DipDataImp.html#getValueType()">getValueType</a>, <a href="../implementation/DipDataImp.html#getValueType(java.lang.String)">getValueType</a>, <a href="../implementation/DipDataImp.html#insert(boolean)">insert</a>, <a href="../implementation/DipDataImp.html#insert(boolean%5B%5D)">insert</a>, <a href="../implementation/DipDataImp.html#insert(byte)">insert</a>, <a href="../implementation/DipDataImp.html#insert(byte%5B%5D)">insert</a>, <a href="../implementation/DipDataImp.html#insert(double)">insert</a>, <a href="../implementation/DipDataImp.html#insert(double%5B%5D)">insert</a>, <a href="../implementation/DipDataImp.html#insert(float)">insert</a>, <a href="../implementation/DipDataImp.html#insert(float%5B%5D)">insert</a>, <a href="../implementation/DipDataImp.html#insert(int)">insert</a>, <a href="../implementation/DipDataImp.html#insert(int%5B%5D)">insert</a>, <a href="../implementation/DipDataImp.html#insert(long)">insert</a>, <a href="../implementation/DipDataImp.html#insert(long%5B%5D)">insert</a>, <a href="../implementation/DipDataImp.html#insert(short)">insert</a>, <a href="../implementation/DipDataImp.html#insert(short%5B%5D)">insert</a>, <a href="../implementation/DipDataImp.html#insert(java.lang.String)">insert</a>, <a href="../implementation/DipDataImp.html#insert(java.lang.String%5B%5D)">insert</a>, <a href="../implementation/DipDataImp.html#insert(java.lang.String,boolean)">insert</a>, <a href="../implementation/DipDataImp.html#insert(java.lang.String,boolean%5B%5D)">insert</a>, <a href="../implementation/DipDataImp.html#insert(java.lang.String,byte)">insert</a>, <a href="../implementation/DipDataImp.html#insert(java.lang.String,byte%5B%5D)">insert</a>, <a href="../implementation/DipDataImp.html#insert(java.lang.String,double)">insert</a>, <a href="../implementation/DipDataImp.html#insert(java.lang.String,double%5B%5D)">insert</a>, <a href="../implementation/DipDataImp.html#insert(java.lang.String,float)">insert</a>, <a href="../implementation/DipDataImp.html#insert(java.lang.String,float%5B%5D)">insert</a>, <a href="../implementation/DipDataImp.html#insert(java.lang.String,int)">insert</a>, <a href="../implementation/DipDataImp.html#insert(java.lang.String,int%5B%5D)">insert</a>, <a href="../implementation/DipDataImp.html#insert(java.lang.String,long)">insert</a>, <a href="../implementation/DipDataImp.html#insert(java.lang.String,long%5B%5D)">insert</a>, <a href="../implementation/DipDataImp.html#insert(java.lang.String,short)">insert</a>, <a href="../implementation/DipDataImp.html#insert(java.lang.String,short%5B%5D)">insert</a>, <a href="../implementation/DipDataImp.html#insert(java.lang.String,java.lang.String)">insert</a>, <a href="../implementation/DipDataImp.html#insert(java.lang.String,java.lang.String%5B%5D)">insert</a>, <a href="../implementation/DipDataImp.html#isEmpty()">isEmpty</a>, <a href="../implementation/DipDataImp.html#isPrimitive()">isPrimitive</a>, <a href="../implementation/DipDataImp.html#readInFromBuffer(java.nio.ByteBuffer,java.lang.String)">readInFromBuffer</a>, <a href="../implementation/DipDataImp.html#size()">size</a>, <a href="../implementation/DipDataImp.html#writeDataToBuffer(java.nio.ByteBuffer)">writeDataToBuffer</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MockDipData</h4>
<pre>public&nbsp;MockDipData()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="setDataQuality(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDataQuality</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDataQuality&#8203;(int&nbsp;dataQuality)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../implementation/DipDataImp.html#setDataQuality(int)">setDataQuality</a></code>&nbsp;in class&nbsp;<code><a href="../implementation/DipDataImp.html" title="class in cern.dip.implementation">DipDataImp</a></code></dd>
</dl>
</li>
</ul>
<a id="setQualityString(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setQualityString</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setQualityString&#8203;(java.lang.String&nbsp;qualityString)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../implementation/DipDataImp.html#setQualityString(java.lang.String)">setQualityString</a></code>&nbsp;in class&nbsp;<code><a href="../implementation/DipDataImp.html" title="class in cern.dip.implementation">DipDataImp</a></code></dd>
</dl>
</li>
</ul>
<a id="setDipTime(cern.dip.DipTimestamp)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setDipTime</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDipTime&#8203;(<a href="../DipTimestamp.html" title="class in cern.dip">DipTimestamp</a>&nbsp;ts)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../implementation/DipDataImp.html#setDipTime(cern.dip.DipTimestamp)">setDipTime</a></code>&nbsp;in class&nbsp;<code><a href="../implementation/DipDataImp.html" title="class in cern.dip.implementation">DipDataImp</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MockDipData.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2008&#x2013;2020 <a href="http://www.cern.ch/">CERN</a>. All rights reserved.</small></p>
</footer>
</body>
</html>
